> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/policies/secondary-connections.md).

# Secondary Connections

## List

> Retrieve the list of secondary connections of the specified client policy with ID.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/ClientPolicies/{id}/SecondaryConnections":{"get":{"tags":["4-Policies//0-Basic Operations"],"summary":"List","description":"Retrieve the list of secondary connections of the specified client policy with ID.","operationId":"2bb3477d-128a-4993-ad8a-9b9c856285d4","parameters":[{"name":"id","in":"path","description":"Client Policy ID.","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SecondaryConnection"}}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"SecondaryConnection":{"type":"object","properties":{"mode":{"$ref":"#/components/schemas/Mode"},"server":{"type":"string","description":"<para type=\"description\">The Server which the user is going to connect to</para>","nullable":true},"serverPort":{"type":"integer","description":"<para type=\"description\">The port of the server</para>","format":"int32"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Sessions Secondary Connection Policy</para>\r\n<para type=\"description\"></para>"},"Mode":{"enum":[["0 = GatewayMode","1 = DirectMode","2 = GatewaySSLMode","3 = DirectSSLMode"]],"type":"string","description":"<para type=\"synopsis\">Mode Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Add

> Add a connection to the list of secondary connections of the specified client policy with ID.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/ClientPolicies/{id}/SecondaryConnections":{"post":{"tags":["4-Policies//0-Basic Operations"],"summary":"Add","description":"Add a connection to the list of secondary connections of the specified client policy with ID.","operationId":"5dd4d1b9-503e-439c-aa67-59d505a447c8","parameters":[{"name":"id","in":"path","description":"Client Policy ID.","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"The secondary connection configuration.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/AddClientPolicyConnection"}}}},"responses":{"201":{"description":"Created"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"AddClientPolicyConnection":{"required":["mode","server","serverPort"],"type":"object","properties":{"mode":{"$ref":"#/components/schemas/Mode"},"server":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">The Server which the user is going to connect to.</para>","nullable":true},"serverPort":{"type":"integer","description":"<para type=\"description\">The port of the Server.</para>","format":"int32"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Add a new connection to the secondary connections list</para>\r\n<para type=\"description\"></para>"},"Mode":{"enum":[["0 = GatewayMode","1 = DirectMode","2 = GatewaySSLMode","3 = DirectSSLMode"]],"type":"string","description":"<para type=\"synopsis\">Mode Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Delete

> Delete a connection to the list of secondary connections of the specified client policy with ID.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/ClientPolicies/{id}/SecondaryConnections":{"delete":{"tags":["4-Policies//0-Basic Operations"],"summary":"Delete","description":"Delete a connection to the list of secondary connections of the specified client policy with ID.","operationId":"d589c74c-fb33-46d6-9505-28569d588132","parameters":[{"name":"id","in":"path","description":"Client Policy ID.","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"The secondary connection configuration.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/RemoveClientPolicyConnection"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"RemoveClientPolicyConnection":{"required":["mode","server","serverPort"],"type":"object","properties":{"mode":{"$ref":"#/components/schemas/Mode"},"server":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">The Server which the user is going to connect to.</para>","nullable":true},"serverPort":{"type":"integer","description":"<para type=\"description\">The port of the Server.</para>","format":"int32"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Remove a connection from the secondary connections list</para>\r\n<para type=\"description\"></para>"},"Mode":{"enum":[["0 = GatewayMode","1 = DirectMode","2 = GatewaySSLMode","3 = DirectSSLMode"]],"type":"string","description":"<para type=\"synopsis\">Mode Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/policies/secondary-connections.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
